// Import the tag definitions for JSX, so React knows about them
import "./cwc-elements-interfaces.d.ts";

// Import the microfrontend Web Components from Module Federation "Midnight"
export async function defineRequiredCwcElements(): Promise<{ loadedOk: boolean }> {
  try {
    // Importing each component separately and wait for all to finish
    await Promise.all([
      // import("Midnight/test"),
      // import("Midnight/levels"),
      // import("Midnight/multiselect"),
      // import("Midnight/stepper"),
      // import("Midnight/stepper-item"),
      // import("Midnight/stepper-json"),
      // import("Midnight/modal"),
      // import("Midnight/month-picker"),
      // import("Midnight/login"),
      // import("Midnight/flipcard"),
      // import("Midnight/textfield")
      // import("Midnight/textfield"),
      // import("Midnight/componenttest"),
      // import("Midnight/component123"),
      // import("Midnight/test12344"),
      // import("Midnight/test002"),
			// import("Midnight/onemoretime"),
			import("Midnight/angularTest"),
			//END COMPONENTS - DO NOT REMOVE THIS LINE
    ]);

    return { loadedOk: true };
  }
  catch (error) {
    console.log(error);
    window.alert("Cognizant Web Component library could not be loaded");
    return { loadedOk: false };
  }
}
